"""Pipeline interface definition.""" ""

from abc import ABC, abstractmethod


class Pipeline(ABC):
    """Pipeline interface definition.

    Pipeline is a class that runs the whole anonymization process on the input file.
    """

    @abstractmethod
    def run(self, input_path: str) -> str:
        """Run the whole anonymization pipeline.

        Args:
            input_path (str): Path to the input.

        Returns:
            str: Anonymized text.

        """
